%global momorel 1

Name:		bluez-gnome
Version:	0.27
Release:        %{momorel}m%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPL
URL:		http://www.bluez.org/
Source0:	http://bluez.sf.net/download/%{name}-%{version}.tar.gz
NoSource: 0
Patch1:         bluez-gnome-remove-class.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	s390 s390x

BuildRequires: dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires: dbus-glib-devel perl-XML-Parser intltool
BuildRequires: desktop-file-utils gettext
BuildRequires: hal-devel
# For patch 2
BuildRequires: automake
Prereq: hicolor-icon-theme

Obsoletes:	bluez-pin

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%prep
%setup -q
%patch1 -p0 -b .remove-class
 
%build
autoreconf -if
%configure --disable-mime-update --disable-desktop-update --disable-icon-update
make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/gnome/
mv %{buildroot}%{_sysconfdir}/xdg/autostart/ %{buildroot}%{_datadir}/gnome/

desktop-file-install --vendor=""                               \
       --add-category=X-GNOME-NetworkSettings                  \
       --delete-original                                       \
        --dir=%{buildroot}%{_datadir}/applications          \
        %{buildroot}%{_datadir}/applications/bluetooth-properties.desktop

desktop-file-install --vendor=""                               \
       --remove-category=Application                           \
       --remove-category=Utility                               \
       --add-category=GTK                                      \
       --add-category=System                                   \
       --delete-original                                       \
        --dir=%{buildroot}%{_datadir}/applications          \
        %{buildroot}%{_datadir}/applications/bluetooth-analyzer.desktop

%find_lang bluetooth-manager

%clean
rm -rf --preserve-root %{buildroot}

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule                                    \
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas         \
       >& /dev/null || :
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule                              \
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas         \
       >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule                              \
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas         \
       >& /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f bluetooth-manager.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%config %{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome/autostart/bluetooth-applet.desktop
%{_datadir}/man/man1/bluetooth-applet.1.*
%{_datadir}/man/man1/bluetooth-properties.1.*
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/bluetooth-sendto.1.*
 
%files analyzer
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_bindir}/bluetooth-analyzer
%{_datadir}/man/man1/bluetooth-analyzer.1.*

%changelog
* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.27-1m)
- update to 0.27

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.22-3m)
- add Prereq: hicolor-icon-theme

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22-2m)
- rebuild against gcc43

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.22-1m)
- import from FC

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-1m)
- import from FC
- comment out BuildRequires: openobex-devel

* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
